PUT V1/Notification.{ext}/ClientNotifications

Update Client Notification Details
Mandatory Fields: ClientNotificationId, NotificationId, NotificationDetId, ClientId, FromAddress, ToAddress are mandatory
Optional Fields: CCAddress, BCCAddress are optional

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

Client Notification Details

EMS.Payments.Entities.ClientNotification
NameDescriptionTypeAdditional information
ClientNotificationId

Client Notification Id

integer

None.

NotificationDetId

Notification Det Id

string

None.

NotificationName

Notification Name

string

None.

NotificationId

Notification Id

integer

None.

NotificationType

Notification Type

string

None.

ClientId

Client Id

integer

None.

ClientName

Client Name

string

None.

FromAddress

From Email Id

string

None.

ToAddress

To Email Id

string

None.

CCAddress

CC Email Id

string

None.

BCCAddress

BCC Email Id

string

None.

MobileUser

No description available

string

None.

SiteGroupId

No description available

string

None.

SiteGroupName

No description available

string

None.

AmountRange

No description available

string

None.

PaymentMethod

No description available

string

None.

PaymentCurrency

No description available

string

None.

Subject

No description available

string

None.

Signature

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "clientNotificationId": 1,
  "notificationDetId": "sample string 2",
  "notificationName": "sample string 3",
  "notificationId": 4,
  "notificationType": "sample string 5",
  "clientId": 6,
  "clientName": "sample string 7",
  "fromAddress": "sample string 8",
  "toAddress": "sample string 9",
  "ccAddress": "sample string 10",
  "bccAddress": "sample string 11",
  "mobileUser": "sample string 12",
  "siteGroupId": "sample string 13",
  "siteGroupName": "sample string 14",
  "amountRange": "sample string 15",
  "paymentMethod": "sample string 16",
  "paymentCurrency": "sample string 17",
  "subject": "sample string 18",
  "signature": "sample string 19"
}

application/xml, text/xml

Sample:
<ClientNotification xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Payments.Entities">
  <AmountRange>sample string 15</AmountRange>
  <BCCAddress>sample string 11</BCCAddress>
  <CCAddress>sample string 10</CCAddress>
  <ClientId>6</ClientId>
  <ClientName>sample string 7</ClientName>
  <ClientNotificationId>1</ClientNotificationId>
  <FromAddress>sample string 8</FromAddress>
  <MobileUser>sample string 12</MobileUser>
  <NotificationDetId>sample string 2</NotificationDetId>
  <NotificationId>4</NotificationId>
  <NotificationName>sample string 3</NotificationName>
  <NotificationType>sample string 5</NotificationType>
  <PaymentCurrency>sample string 17</PaymentCurrency>
  <PaymentMethod>sample string 16</PaymentMethod>
  <Signature>sample string 19</Signature>
  <SiteGroupId>sample string 13</SiteGroupId>
  <SiteGroupName>sample string 14</SiteGroupName>
  <Subject>sample string 18</Subject>
  <ToAddress>sample string 9</ToAddress>
</ClientNotification>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResults
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResults

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResults",
  "response": {
    "transactionResult": [
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      },
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.